import request from '@/utils/request'

// 查询课程优惠券列表
export function listCourserCoupon(query) {
  return request({
    url: '/his/courserCoupon/list',
    method: 'get',
    params: query
  })
}

// 查询课程优惠券详细
export function getCourserCoupon(id) {
  return request({
    url: '/his/courserCoupon/' + id,
    method: 'get'
  })
}

// 新增课程优惠券
export function addCourserCoupon(data) {
  return request({
    url: '/his/courserCoupon',
    method: 'post',
    data: data
  })
}

// 修改课程优惠券
export function updateCourserCoupon(data) {
  return request({
    url: '/his/courserCoupon',
    method: 'put',
    data: data
  })
}

// 删除课程优惠券
export function delCourserCoupon(id) {
  return request({
    url: '/his/courserCoupon/' + id,
    method: 'delete'
  })
}

// 导出课程优惠券
export function exportCourserCoupon(query) {
  return request({
    url: '/his/courserCoupon/export',
    method: 'get',
    params: query
  })
}


// 课程优惠券选项列表
export function options() {
  return request({
    url: '/his/courserCoupon/options',
    method: 'get'
  })
}